Subject: bug#11414: 23.2; Caps lock problem on English-Dvorak layout

From: Stefan Monnier <[email-masked]>
Date: Sat, 12 May 2012 13:10:31 -0400

> emacs -Q
> C-x RET C-\ english-dvorak RET
> Now pressing the key labelled "," produces "w" as it should, and
> pressing "shift ," (ie, "<") correctly produces "W". This is because
> latin-post.el has the correct mapping:
>  ("W" ?<)
> But when caps-lock is active, pressing "," still generates "," (not "<")
> so Emacs still translates it to "w" (not "W").
> I don't know if quail has any way to solve this...

I think that at the Lisp level, the necessary information is not
available, so we'd have to change the C code to provide extra info for
Quail to try and use it.
It's not clear to me how best to do it, so I think it'll have to stay as
one of those "patches welcome" items.

        Stefan